<template>
  <v-container grid-list-xl>
    <v-layout column>
      <v-flex v-if="isOldUser">
        <v-card class="mx-auto">
          <v-card-text class="text-xs-right">{{ lastDate }}</v-card-text>
          <v-responsive :aspect-ratio="1/1">
              <v-img size="50em" aspect-ratio="1" :src="lastPic" class="mb-0" ></v-img>
            <v-spacer></v-spacer>
            <v-card-actions>
            <v-card-text  class="caption pa-0">
                DUNLOPILLOTHAI <br>LIVE YOUR LIFE TO THE FULLEST
            </v-card-text>
            <v-spacer></v-spacer>
                <img
                height="48"
                align-content-end
                :src="require('@/assets/logo_card.png')"/>
            </v-card-actions>
          </v-responsive >
        </v-card>
      </v-flex>

       <v-flex>
        <v-card class="mx-auto">
            <v-responsive :aspect-ratio="1/1">
                <v-responsive :aspect-ratio="1/0.8">
              <v-img size="50em" aspect-ratio="1" :src="image.dataUrl" v-if="hasImage" class="mb-0" ></v-img>
              <v-flex xs12 text-xs-center pt-4 v-else>
                <image-uploader
                  :preview="false"
                  :className="['fileinput', { 'fileinput--loaded': hasImage }]"
                  :debug="1"
                  doNotResize="gif"
                  :autoRotate="true"
                  outputFormat="verbose"
                  @input="setImage"
                >
                  <label for="fileInput" slot="upload-label">
                    <figure>
                      <svg
                        xmlns="http://www.w3.org/2000/svg"
                        width="32"
                        height="32"
                        viewBox="0 0 32 32"
                      >
                        <path
                          class="path1"
                          d="M9.5 19c0 3.59 2.91 6.5 6.5 6.5s6.5-2.91 6.5-6.5-2.91-6.5-6.5-6.5-6.5 2.91-6.5 6.5zM30 8h-7c-0.5-2-1-4-3-4h-8c-2 0-2.5 2-3 4h-7c-1.1 0-2 0.9-2 2v18c0 1.1 0.9 2 2 2h28c1.1 0 2-0.9 2-2v-18c0-1.1-0.9-2-2-2zM16 27.875c-4.902 0-8.875-3.973-8.875-8.875s3.973-8.875 8.875-8.875c4.902 0 8.875 3.973 8.875 8.875s-3.973 8.875-8.875 8.875zM30 14h-4v-2h4v2z"
                        ></path>
                      </svg>
                    </figure>
                    <v-flex>{{
                      lastPic ? "อัปโหลดภาพใหม่" : "เลือกภาพถ่าย"
                    }}</v-flex>
                  </label>
                </image-uploader>
              </v-flex>
            </v-responsive>
            <v-spacer></v-spacer>
            <v-card-actions>
            <v-card-text  class="caption pa-0">
                DUNLOPILLOTHAI <br>LIVE YOUR LIFE TO THE FULLEST
            </v-card-text>
            <v-spacer></v-spacer>
                <img
                height="48"
                align-content-end
                :src="require('@/assets/logo_card.png')"/>
            </v-card-actions>
          </v-responsive >
        </v-card>
      </v-flex>
    <v-flex >
      <v-slide-x-transition>
        <div v-if="hasImage" class="text-xs-center" >
          <v-flex>
            <v-btn class="accent primary--text" @click.once="uploadImage" rounded>
              อัปโหลด
            <v-icon right dark color="primary">cloud_upload</v-icon>
            </v-btn>
          </v-flex>
        </div>
      </v-slide-x-transition>
      </v-flex>
    </v-layout>
  </v-container>
</template>

<script>
export default {
  name: 'app',
  created () {
    this.$store.dispatch('user/fetchLastPic')
  },
  data () {
    return {
      avatar: null,
      saving: false,
      saved: false,
      angle: 0,
      blobPic: null,
      hasImage: false,
      image: null
    }
  },
  computed: {
    isOldUser () {
      console.log(this.$store.getters['user/checkUserAlreadyExist'])
      return this.$store.getters['user/checkUserAlreadyExist']
    },
    lastPic () {
      if (this.isOldUser) {
        let arrPic = this.$store.getters['user/getLastTransaction']
        let lastPic = arrPic[0].rawPicUrl
        return lastPic
      }
      return ''
    },
    lastDate () {
      if (this.isOldUser) {
        let arrPic = this.$store.getters['user/getLastTransaction']
        let lastSeconds = arrPic[0].createAt.seconds
        let Fdate = new Date(0)
        Fdate.setSeconds(lastSeconds)
        let day = Fdate.getDate()
        let month = Fdate.getMonth() + 1
        let year = Fdate.getFullYear()
        let hour = Fdate.getHours()
        let min = Fdate.getMinutes()
        let second = Fdate.getSeconds()
        let dateShow = [year, month, day].join('-')
        let time = [hour, min, second].join(':')
        let dateTime = dateShow + ' ' + time
        return dateTime
      }
      return ''
    }
  },
  methods: {
    uploadImage () {
      console.log('cilck na')
      this.$store.dispatch('app/runLoader', true)
      this.$store.dispatch('pictures/uploadToStorage', this.image)
      this.$store.dispatch('user/setLastTransaction', null)
    },
    setImage (output) {
      this.hasImage = true
      this.image = output
      console.log(this.image)
    }

  }
}
</script>
<style>
#fileInput {
  display: none;
}
</style>
